/* 
 * JBoss, Home of Professional Open Source 
 * Copyright 2010-2011 Red Hat Inc. and/or its affiliates and other contributors
 * as indicated by the @authors tag. All rights reserved. 
 * See the copyright.txt in the distribution for a 
 * full listing of individual contributors.
 *
 * This copyrighted material is made available to anyone wishing to use, 
 * modify, copy, or redistribute it subject to the terms and conditions 
 * of the GNU Lesser General Public License, v. 2.1. 
 * This program is distributed in the hope that it will be useful, but WITHOUT A 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more 
 * details. You should have received a copy of the GNU Lesser General Public 
 * License, v.2.1 along with this distribution; if not, write to the Free 
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  
 * 02110-1301, USA.
 */

package com.accenture.quickstarts.jbpm.demo;

import org.apache.camel.builder.RouteBuilder;
import org.apache.log4j.Logger;
import org.switchyard.component.camel.Route;

@Route(JavaDSL.class)
public class JavaDSLBuilder extends RouteBuilder {
	private static final Logger LOGGER = Logger.getLogger(JavaDSLBuilder.class);

	@Override
    public void configure() {
		LOGGER.info("this message from JavaDSLBuilder");
        from("switchyard://JavaDSL")
            .log("test by Robbie")
            .to("switchyard://MonitorService");
    }
    

}
